<form name="editForm" role="form" novalidate (ngSubmit)="download()" [formGroup]="editForm">
<div class="main-content pad">
    <div class="container-fluid">
	    <div class="row">
	        <div class="col-md-12">
	            <div class="card">
	                <div class="card-header card-header-rose card-header-icon">
		                <div class="card-icon"><i class="material-icons">content_copy</i></div>
						<h3 class="card-title"><span>Generate Laporan</span></h3	>
					</div>
				    <jhi-alert-error></jhi-alert-error>
				
				    <jhi-alert></jhi-alert>
			
				    <div class="card-body">
						<div class="justify-content-center">
							<br>
						
							<form  name="editForm" role="form" novalidate [formGroup]="editForm">
	            			<div class="card">
				                <div class="card-header">
									<h5 class="card-title"><span>Generate Laporan Periode</span></h5>
								</div>
				    			<div class="card-body">
					    			<div class="row justify-content-center">
								    	<div class="col-3">
							                <div class="form-group">
							                    <label class="form-control-label" for="field_ta">Tahun Ajaran</label>
							                    <select class="form-control" id="field_ta" name="ta" formControlName="ta">
							                        <option [ngValue]="null">SEMUA TA</option>
							                        <option value="2020/2021">2020/2021</option>
							                        <option value="2021/2022">2021/2022</option>
							                        <option value="2022/2023">2022/2023</option>
							                        <option value="2023/2024">2023/2024</option>
							                    </select>
							                </div>
								    	</div>
								    	<div class="col-3">
							                <div class="form-group">
							                    <label class="form-control-label" for="field_jenisBayar">Jenis Tagihan</label>
							                    <select class="form-control" id="field_jenisBayar" name="jenisBayar" formControlName="jenisBayar">
							                        <option [ngValue]="null">SEMUA</option>
							                        <option [ngValue]="jenisPembayaranOption.id === editForm.get('jenisBayar')!.value?.id ? editForm.get('jenisBayar')!.value.jenis : jenisPembayaranOption.jenis" *ngFor="let jenisPembayaranOption of jenispembayarans;">{{ jenisPembayaranOption.jenis }}</option>
							                    </select>
							                </div>
								    	</div>
								    	<div class="col-3">
							                <div class="form-group">
							                    <label class="form-control-label" for="field_kelas">Kelas</label>
							                    <select class="form-control" id="field_kelas" name="kelas" formControlName="kelas">
	                        						<option [ngValue]="null">SEMUA</option>
							                        <option [ngValue]="kelasOption.id"  *ngFor="let kelasOption of kelas">{{kelasOption.nama}}</option>
							                    </select>
							                </div>
						                </div>
								    	<div class="col-3">
							                <div class="form-group">
									    		<div align="center">
							                        <label class="form-control-label" for="field_nis">&nbsp;</label>
									                <button mat-raised-button type="button" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-success btn-fill" (click)="download()">
									                     <i class="material-icons">&nbsp;&nbsp;cloud_download</i><span>&nbsp;&nbsp;Generate Laporan</span>
									                </button>
												</div>
							                </div>
							            </div>
							    	</div>
							    	<br/>
				    			
				    			</div>
	            			</div>
	            			<div class="card">
				                <div class="card-header">
									<h5 class="card-title"><span>Generate Laporan Tiap Siswa</span></h5	>
								</div>
				    			<div class="card-body">
				    			 <div class="row">
								    	<div class="col-md-4">
							                <div class="form-group">
							                    <label class="form-control-label" for="field_nis">Nomor Induk Siswa</label>
							                    <input type="text" class="form-control" name="nis" id="field_nis"
							                           formControlName="nis" placeholder="Input nomor induk siswa . . ."/>
							                </div>
							    		</div>
								    	<div class="col-md-8"  align="center">
							                <div class="form-group">
							                    <label class="form-control-label" for="field_nis">&nbsp;</label>
									    		<button mat-raised-button type="button" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-success btn-fill" (click)="downloadPerSiswa()">
									               <i class="material-icons">&nbsp;&nbsp;cloud_download</i><span>&nbsp;&nbsp;Generate Laporan</span>
									            </button>
									        </div>
								    	</div>
									</div>
					    		<br>
				    			</div>
	            			</div>
					    		<br>
							</form>
					</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
</form>
